package com.gic.haoban.manage.service.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.MemberUnionidRelatedDTO;
import com.gic.haoban.manage.service.entity.MemberUnionidRelated;

public interface MemberUnionRelatedService {

	MemberUnionidRelatedDTO getByUnionId(String wxUserId, String unionid);
	
	MemberUnionidRelatedDTO getByMemberId(String wxUserId, String memberId);
	
	String addMemberUnionidRelated(MemberUnionidRelatedDTO dto);
	
	void delMemberUnionidRelated(MemberUnionidRelatedDTO dto);

	List<MemberUnionidRelatedDTO> getByWxUserIdAndWxEnterpriseId(String wxUserId, String wxEnterpriseId);

	MemberUnionidRelatedDTO getByParams(String wxUserId, String enterpriseId, String name, String createTime);

	void update(MemberUnionidRelatedDTO exsitDTO);

	void clean(String cid);

	com.github.pagehelper.Page<MemberUnionidRelated> pageMemberUnionByParams(List<String> userIdList, List<String> sendMemberIds,
			String enterpriseId);
}
