package com.gic.haoban.manage.service.service.out.impl;

import com.gic.haoban.manage.api.service.TestApiService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * Created by tgs on 2020/2/9.
 */
@Service
public class TestServiceImpl implements TestApiService {
    private static final Logger logger= LoggerFactory.getLogger(TestServiceImpl.class);
    @Override
    public String checkThread(String id, Long expireTime) {
        logger.info("测试-start：{}",id);
        if (expireTime!=null && expireTime>0) {
            logger.info("延时：{}",expireTime);
            try {
                Thread.sleep(expireTime);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
        logger.info("测试-end：{}",id);
        return id;
    }
}
