package com.gic.haoban.manage.api.service;

import java.util.Date;
import java.util.List;

import com.gic.haoban.manage.api.dto.EnterpriseDetailDTO;

public interface WxEnterpriseRelatedApiService {
	List<EnterpriseDetailDTO> listEnterpriseByWxEnterpriseId(String wxEnterpriseId);
	
	int  wxEnterpriseBind(String enterpriseId,String wxEnterpriseId,String version);
	
	String getGicEnterpriseIdByEnterpriseRelatedId(String wxEnterpriseRelatedId);

	boolean enterpriseUseNew(String enterpriseId);

	EnterpriseDetailDTO getByEnterpriseId(String enterpriseId);

	List<EnterpriseDetailDTO> queryAllHasGicEnterpriseId();
	
	List<EnterpriseDetailDTO> listEnterpriseByEnterpriseIds(List<String> enterpriseIds);

	/**
	 * 返回在一定时期内的信息
	 * @return
	 */
	List<EnterpriseDetailDTO> queryBindGicEnterpriseByTime(String seqTime);

	int wxEnterpriseBind(String enterpriseId, String wxEnterpriseId, String version, String staffId, String staffName);

}
