package com.gic.haoban.manage.service.dao.mapper;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseRelated;

public interface WxEnterpriseRelatedMapper {
    int deleteByPrimaryKey(String wxEnterpriseRelatedId);

    int insert(TabHaobanWxEnterpriseRelated record);

    int insertSelective(TabHaobanWxEnterpriseRelated record);

    TabHaobanWxEnterpriseRelated selectByPrimaryKey(String wxEnterpriseRelatedId);

    int updateByPrimaryKeySelective(TabHaobanWxEnterpriseRelated record);

    int updateByPrimaryKey(TabHaobanWxEnterpriseRelated record);
    
    List<TabHaobanWxEnterpriseRelated> listByWxenterpriseId(String wxEnterpriseId);
    
    TabHaobanWxEnterpriseRelated findOneByEnterpriseId(String enterpriseId);

	List<TabHaobanWxEnterpriseRelated> queryAllHasGicEnterpriseId();
	
	List<TabHaobanWxEnterpriseRelated> listEnterpriseByEnterpriseIds(@Param("enterpriseIds")List<String> enterpriseIds);

    List<TabHaobanWxEnterpriseRelated> listEnterpriseByTime(@Param("time")String time);
}