package com.gic.haoban.manage.service.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.MaidianLogDTO;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanMaidianLogMapper;
import com.gic.haoban.manage.service.entity.TabHaobanMaidianLog;
import com.gic.haoban.manage.service.service.MaidianLogService;

@Service
public class MaidianLogServiceImpl implements MaidianLogService{

	@Autowired
	private TabHaobanMaidianLogMapper mapper;
	@Override
	public void insert(MaidianLogDTO maidianLogDTO) {
		TabHaobanMaidianLog tab = EntityUtil.changeEntityByJSON(TabHaobanMaidianLog.class, maidianLogDTO);
		tab.setCreateTime(new Date());
		tab.setUpdateTime(tab.getCreateTime());
		mapper.insert(tab);
		
	}

}
